# Test API endpoints

em_json.get:
  path: 'my-api/get.json'
  defaults: { _controller: '\Drupal\em_json\Controller\TestAPIController::get_example' }
  methods:  [GET]
  requirements:
    _access: 'TRUE'

em_json.put:
  path: 'my-api/put.json'
  defaults: { _controller: '\Drupal\em_json\Controller\TestAPIController::put_example' }
  methods:  [PUT]
  requirements:
    _access: 'TRUE'

em_json.post:
  path: 'my-api/post.json'
  defaults: { _controller: '\Drupal\em_json\Controller\TestAPIController::post_example' }
  methods:  [POST]
  requirements:
    _access: 'TRUE'

em_json.delete:
  path: 'my-api/delete.json'
  defaults: { _controller: '\Drupal\em_json\Controller\TestAPIController::delete_example' }
  methods:  [DELETE]
  requirements:
    _access: 'TRUE'
